{% extends 'base.html.twig' %}

{% block title %}Log in!
{% endblock %}

{% block body %}
<div class="container" style="margin-top: 100px;">
	<div class="row">
		<div class="col-md-3"></div>
		<div class="col-md-6">
			<div class="bg-light py-3 px-3">

				<h1>Connectez vous</h1>

				{% if error %}
					<div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
				{% endif %}

				
				<form action={{ path('app_login')}} method="post">
					{% if app.user %}
						<div class="mb-3">
							Vous êtes connectez comme
							{{ app.user.username }},
							<a href="{{ path('app_logout') }}">Se déconnecter</a>
						</div>
					{% endif %}
					<div class="form-group">
						<label for="inputEmail" class="sr-only">Email</label>
						<input type="email" value="{{ last_username }}"
						 name="email" id="inputEmail" class="form-control"
						  placeholder="Adresse email" required autofocus>
					</div>
					<div class="form-group">

						<label for="inputPassword" class="sr-only">Mot de passe</label>
						<input type="password" name="password"
						 id="inputPassword" class="form-control" placeholder="mot de passe" required>
					</div>
					<input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

					<div class="checkbox mb-3">
						<label>
							<input type="checkbox" name="_remember_me">
							Se souvenir de moi
						</label>
					</div>
					<button class="btn btn-lg btn-primary" type="submit" >
						S'IDENTIFIER 
					</button>
				</form>
			</div>
		</div>
	</div>
</div>

{% endblock %}

